Method: entities.import

Full name: projects.locations.instances.entities.import

entities.import import the entities. Note that, All entities need to be valid for the request to be successful. An error in one entity will cause the entire request to be rejected.

HTTP request

POST https://{endpoint}/v1alpha/{parent}/entities:import

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of entities.

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (EntitiesInlineSource)
  }
  // End of mutually exclusive fields.
}
Fields
The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
inlineSource

object (EntitiesInlineSource)

Required. Entities to be imported are specified inline.

End of mutually exclusive fields.

Response body

If successful, the response body is empty.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.entities.import

For more information, see the IAM documentation.

EntitiesInlineSource

An import source with the entities to import included inline.

JSON representation
{
  "entities": [
    {
      object (Entity)
    }
  ],
  "logType": string
}
Fields
entities[]

object (Entity)

Required. The entities being imported.

logType

string

Required. The logtype of the log this entity is created from.